/*
** AmiBroker/Win32 scripting Example
**
** File:	GenQuotes.js
** Created:	Tomasz Janeczko, April 20th, 2000
** Purpose:	Generate random quotations 
** Language: JavaScript (Windows Scripting Host)
*/


var oAB = new ActiveXObject("Broker.Application");

var fso = new ActiveXObject("Scripting.FileSystemObject");

var oStocks = oAB.Stocks;

var iNumStocks = oStocks.Count;

for( var iStock = 0; iStock < iNumStocks; iStock++ )
{
	var oStock = oStocks( iStock );
		
	WScript.Echo( oStock.Ticker + " Number of quotes = " + oStock.Quotations.Count );

	if( oStock.Quotations.Count < 750 )
	{
		var iNumQuotes = 750 -  oStock.Quotations.Count;

		WScript.Echo( "Adding " + iNumQuotes + " quotations" );
		
		oOldQuote = oStock.Quotations( 0 );

		var oDate = new Date( oStock.Quotations( 0 ).Date );

		var Close = oStock.Quotations( 0 ).Close;

		f = fso.OpenTextFile( "c:\\quotes.tmp", 2, true );

		f.WriteLine( "$NAME " + oStock.Ticker );
		f.WriteLine( "$FORMAT DATE_YMD, CLOSE " );
		f.WriteLine( "$SEPARATOR ," );

		for( var i = 0; i < iNumQuotes; i++ )
		{
			var oPrevDay = new Date( oDate.getFullYear(), oDate.getMonth(), oDate.getDate() - 1 );

			Close += 1 - ( 2 * Math.random() );

			oDate = oPrevDay;

			f.WriteLine( oDate.getFullYear() + "-" + ( 1 + oDate.getMonth() ) + "-" + oDate.getDate() + "," + Close );
			
		}

		f.Close();

		oAB.Import( 0, "c:\\quotes.tmp" );
	}
}
			