/*
** AmiBroker/Win32 scripting Example
**
** File:	AddStock.js
** Created:	Tomasz Janeczko, January 13th, 2000
** Purpose:	Adds a stock and a couple of random quotations to it
** Language: JavaScript (Windows Scripting Host)
*/


var oAB = WScript.CreateObject("Broker.Application");

var oStocks = oAB.Stocks;

var oNewStock = oStocks.Add("A NEW STOCK");

WScript.Echo( "Number of quotes = " + oNewStock.Quotations.Count );

oAB.RefreshAll();

oAB.Documents.Open("A NEW STOCK");

oAB.RefreshAll();

var oQuote;

for( var day = 1; day < 131; day++ )
{
	var oDate = new Date( 2000, 1, day );

	oQuote = oNewStock.Quotations.Add( oDate.getVarDate() );

	oQuote.Volume = 1000 * Math.random();
	oQuote.Close = oQuote.Open = oQuote.High = oQuote.Low = 20 + day/30 + 3 * Math.random();
}

oAB.RefreshAll();

WScript.Echo( "Finished" );
